---
references:
- id: AntoniouDigital2005
  author:
    - family: Antoniou
      given: Andreas
  citation-key: AntoniouDigital2005
  event-place: New York
  ISBN: 978-0-07-145424-7
  issued:
    - year: 2005
  language: eng
  number-of-pages: '965'
  publisher: McGraw-Hill
  publisher-place: New York
  title: 'Digital signal processing: signals, systems and filters'
  type: book

- id: BartlettTheoretical1946
  accessed:
    - year: 2016
      month: 10
      day: 13
  author:
    - family: Bartlett
      given: M. S.
  citation-key: BartlettTheoretical1946
  container-title: Supplement to the Journal of the Royal Statistical Society
  container-title-short: Supplement to the Journal of the Royal Statistical Society
  DOI: 10.2307/2983611
  ISSN: 1466-6162
  issue: '1'
  issued:
    - year: 1946
  page: 27-41
  title: >-
    On the Theoretical Specification and Sampling Properties of Autocorrelated
    Time-Series
  type: article-journal
  volume: '8'

- id: BoxTime2016
  author:
    - family: Box
      given: George E. P.
    - family: Jenkins
      given: Gwilym M.
    - family: Reinsel
      given: Gregory C.
    - family: Ljung
      given: Greta M.
  call-number: QA280 .B67 2016
  citation-key: BoxTime2016
  collection-title: Wiley series in probability and statistics
  edition: Fifth edition
  event-place: Hoboken, New Jersey
  ISBN: 978-1-118-67502-1
  issued:
    - year: 2016
  number-of-pages: '669'
  publisher: John Wiley & Sons, Inc
  publisher-place: Hoboken, New Jersey
  title: 'Time series analysis: forecasting and control'
  type: book

- id: BurredCLEESE2018
  accessed:
    - year: 2019
      month: 4
      day: 28
  author:
    - family: Burred
      given: Juan José
    - family: Ponsot
      given: Emmanuel
    - family: Goupil
      given: Louise
    - family: Liuni
      given: Marco
    - family: Aucouturier
      given: Jean-Julien
  citation-key: BurredCLEESE2018
  DOI: 10.1101/436477
  genre: preprint
  issued:
    - year: 2018
      month: 10
      day: 5
  language: en
  publisher: Neuroscience
  title: >-
    CLEESE: An open-source audio-transformation toolbox for data-driven
    experiments in speech and music cognition
  type: report
  URL: http://biorxiv.org/lookup/doi/10.1101/436477

- id: ChamberlinMusical1985
  author:
    - family: Chamberlin
      given: Hal
  citation-key: ChamberlinMusical1985
  edition: 2nd ed.
  event-place: Hasbrouck Heights, N.J
  ISBN: 978-0-8104-5768-3
  issued:
    - year: 1985
  language: eng
  number-of-pages: '802'
  publisher: Hayden Book Co.
  publisher-place: Hasbrouck Heights, N.J
  title: Musical applications of microprocessors
  type: book

- id: CoxFactor2019
  accessed:
    - year: 2019
      month: 12
      day: 10
  author:
    - family: Cox
      given: Marco
    - family: Laar
      given: Thijs
      non-dropping-particle: van de
    - family: Vries
      given: Bert
      non-dropping-particle: de
  citation-key: CoxFactor2019
  container-title: International Journal of Approximate Reasoning
  container-title-short: International Journal of Approximate Reasoning
  DOI: 10.1016/j.ijar.2018.11.002
  ISSN: 0888613X
  issued:
    - year: 2019
      month: 1
  page: 185-204
  title: >-
    A Factor Graph Approach to Automated Design of Bayesian Signal Processing
    Algorithms
  type: article-journal
  URL: http://arxiv.org/abs/1811.03407
  volume: '104'

- id: GrayIntroduction2010
  author:
    - family: Gray
      given: Robert M.
    - family: Davisson
      given: Lee D.
  citation-key: GrayIntroduction2010
  event-place: Cambridge
  ISBN: 978-0-521-13182-7
  issued:
    - year: 2010
  number-of-pages: '1'
  publisher: Cambridge University Press
  publisher-place: Cambridge
  title: An introduction to statistical signal processing
  type: book
  URL: https://ee.stanford.edu/~gray/sp.html

- id: HolanARMA2010
  accessed:
    - year: 2016
      month: 8
      day: 2
  author:
    - family: Holan
      given: Scott H.
    - family: Lund
      given: Robert
    - family: Davis
      given: Ginger
  citation-key: HolanARMA2010
  container-title: Statistics Surveys
  container-title-short: Statist. Surv.
  DOI: 10.1214/09-SS060
  ISSN: 1935-7516
  issued:
    - year: 2010
  language: EN
  page: 232-274
  title: 'The ARMA alphabet soup: A tour of ARMA model variants'
  type: article-journal
  volume: '4'

- id: KailathLinear2000
  author:
    - family: Kailath
      given: Thomas
    - family: Sayed
      given: Ali H.
    - family: Hassibi
      given: Babak
  call-number: QA276.8 .K33 2000
  citation-key: KailathLinear2000
  collection-title: Prentice Hall information and system sciences series
  event-place: Upper Saddle River, N.J
  ISBN: 978-0-13-022464-4
  issued:
    - year: 2000
  number-of-pages: '854'
  publisher: Prentice Hall
  publisher-place: Upper Saddle River, N.J
  title: Linear estimation
  type: book

- id: KayFundamentals1993
  author:
    - family: Kay
      given: Steven M.
  call-number: TK5102.5 .K379 1993
  citation-key: KayFundamentals1993
  collection-title: Prentice Hall signal processing series
  event-place: Englewood Cliffs, N.J
  ISBN: 978-0-13-345711-7 978-0-13-504135-2 978-0-13-280803-3
  issued:
    - year: 1993
  number-of-pages: '3'
  publisher: Prentice-Hall PTR
  publisher-place: Englewood Cliffs, N.J
  title: Fundamentals of statistical signal processing
  type: book

- id: LarocheStability2007
  author:
    - family: Laroche
      given: Jean
  citation-key: LarocheStability2007
  container-title: Journal of the Audio Engineering Society
  container-title-short: JAES
  issue: '6'
  issued:
    - year: 2007
      month: 6
      day: 15
  language: English
  page: 460-471
  publisher: Audio Engineering Society
  title: On the Stability of Time-Varying Recursive Filters
  type: article-journal
  URL: http://www.aes.org/e-lib/browse.cfm?elib=14168
  volume: '55'

- id: LoeligerFactor2007
  author:
    - family: Loeliger
      given: Hans-Andrea
    - family: Dauwels
      given: Justin
    - family: Hu
      given: Junli
    - family: Korl
      given: Sascha
    - family: Ping
      given: Li
    - family: Kschischang
      given: Frank R.
  citation-key: LoeligerFactor2007
  container-title: Proceedings of the IEEE
  DOI: 10.1109/JPROC.2007.896497
  ISSN: 1558-2256
  issue: '6'
  issued:
    - year: 2007
      month: 6
  page: 1295-1322
  title: The Factor Graph Approach to Model-Based Signal Processing
  type: article-journal
  volume: '95'

- id: MantonPrimer2013
  accessed:
    - year: 2020
      month: 9
      day: 4
  author:
    - family: Manton
      given: Jonathan H.
  citation-key: MantonPrimer2013
  container-title: IEEE Journal of Selected Topics in Signal Processing
  container-title-short: IEEE J. Sel. Top. Signal Process.
  DOI: 10.1109/JSTSP.2013.2264798
  ISSN: 1932-4553, 1941-0484
  issue: '4'
  issued:
    - year: 2013
      month: 8
  page: 681-699
  title: A Primer on Stochastic Differential Geometry for Signal Processing
  type: article-journal
  URL: http://arxiv.org/abs/1302.0430
  volume: '7'

- id: MarpleDigital1987
  accessed:
    - year: 2016
      month: 11
      day: 8
  author:
    - family: Marple
      given: S. Lawrence
      suffix: Jr.
  citation-key: MarpleDigital1987
  issued:
    - year: 1987
  title: Digital spectral analysis with applications
  type: book
  URL: http://adsabs.harvard.edu/abs/1987ph...book.....M

- id: MaxwellGovernors1867
  accessed:
    - year: 2014
      month: 8
      day: 8
  author:
    - family: Maxwell
      given: J. Clerk
  citation-key: MaxwellGovernors1867
  container-title: Proceedings of the Royal Society of London
  container-title-short: Proc. R. Soc. Lond.
  DOI: 10.1098/rspl.1867.0055
  ISSN: 0370-1662,
  issued:
    - year: 1867
      month: 1
      day: 1
  language: en
  page: 270-283
  publisher: Royal Society
  title: On governors
  type: article-journal
  volume: '16'

- id: MayrMaxwell1971
  accessed:
    - year: 2022
      month: 1
      day: 31
  author:
    - family: Mayr
      given: Otto
  citation-key: MayrMaxwell1971
  container-title: Isis
  ISSN: 0021-1753
  issue: '4'
  issued:
    - year: 1971
  page: 425-444
  publisher: '[The University of Chicago Press, The History of Science Society]'
  title: Maxwell and the Origins of Cybernetics
  type: article-journal
  URL: https://www.jstor.org/stable/229816
  volume: '62'

- id: MoonMathematical2000
  author:
    - family: Moon
      given: Todd K.
    - family: Stirling
      given: Wynn C.
  call-number: TK5102.9 .M63 2000
  citation-key: MoonMathematical2000
  event-place: Upper Saddle River, NJ
  ISBN: 978-0-201-36186-5
  issued:
    - year: 2000
  number-of-pages: '937'
  publisher: Prentice Hall
  publisher-place: Upper Saddle River, NJ
  title: Mathematical methods and algorithms for signal processing
  type: book

- id: MoorerOptimum1974
  author:
    - family: Moorer
      given: J.A
  citation-key: MoorerOptimum1974
  container-title: IEEE Transactions on Acoustics, Speech and Signal Processing
  DOI: 10.1109/TASSP.1974.1162596
  ISSN: 0096-3518
  issue: '5'
  issued:
    - year: 1974
      month: 10
  page: 330-338
  title: >-
    The optimum comb method of pitch period analysis of continuous digitized
    speech
  type: article-journal
  volume: '22'

- id: NarasimhaChromatic2002
  author:
    - family: Narasimha
      given: M. J.
    - family: Ignjatovic
      given: A.
    - family: Vaidyanathan
      given: P. P.
  citation-key: NarasimhaChromatic2002
  container-title: IEEE Signal Processing Letters
  DOI: 10.1109/LSP.2002.801720
  ISSN: 1070-9908
  issue: '7'
  issued:
    - year: 2002
      month: 7
  page: 215-216
  title: Chromatic derivative filter banks
  type: article-journal
  URL: http://cgi.cse.unsw.edu.au/~ignjat/SPL-1.pdf
  volume: '9'

- id: NyquistCertain1928
  author:
    - family: Nyquist
      given: H.
  citation-key: NyquistCertain1928
  container-title: Transactions of the American Institute of Electrical Engineers
  DOI: 10.1109/T-AIEE.1928.5055024
  ISSN: 0096-3860
  issue: '2'
  issued:
    - year: 1928
      month: 4
  page: 617-644
  title: Certain Topics in Telegraph Transmission Theory
  type: article-journal
  URL: >-
    https://monoskop.org/images/2/2e/Nyquist_Harry_1928_Certain_Topics_in_Telegraph_Transmission_Theory.pdf
  volume: '47'

- id: OppenheimDiscretetime1999
  author:
    - family: Oppenheim
      given: Alan V.
    - family: Schafer
      given: Ronald W.
    - family: Buck
      given: John R.
  call-number: TK5102.9 .O67 1999
  citation-key: OppenheimDiscretetime1999
  edition: 2nd ed
  event-place: Upper Saddle River, N.J
  ISBN: 978-0-13-754920-7
  issued:
    - year: 1999
  number-of-pages: '870'
  publisher: Prentice Hall
  publisher-place: Upper Saddle River, N.J
  title: Discrete-time signal processing
  type: book

- id: OppenheimSignals2015
  archive: Calibre
  author:
    - family: Oppenheim
      given: Alan V.
    - family: Verghese
      given: George C.
  citation-key: OppenheimSignals2015
  issued:
    - year: 2015
      month: 3
      day: 29
  language: eng
  publisher: Prentice Hall
  title: Signals, Systems and Inference
  type: book

- id: OrfanidisIntroduction1996
  author:
    - family: Orfanidis
      given: Sophocles J.
  call-number: TK5102.9 .O73 1996
  citation-key: OrfanidisIntroduction1996
  collection-title: Prentice Hall signal processing series
  event-place: Englewood Cliffs, N.J
  ISBN: 978-0-13-209172-5
  issued:
    - year: 1996
  number-of-pages: '798'
  publisher: Prentice Hall
  publisher-place: Englewood Cliffs, N.J
  title: Introduction to signal processing
  type: book
  URL: http://www.ece.rutgers.edu/~orfanidi/intro2sp/orfanidis-i2sp.pdf

- id: PawarRobust2015
  accessed:
    - year: 2015
      month: 2
      day: 1
  author:
    - family: Pawar
      given: Sameer
    - family: Ramchandran
      given: Kannan
  citation-key: PawarRobust2015
  container-title: arXiv:1501.00320 [cs, math]
  issued:
    - year: 2015
      month: 1
      day: 1
  title: A robust sub-linear time R-FFAST algorithm for computing a sparse DFT
  type: article-journal
  URL: http://arxiv.org/abs/1501.00320

- id: PrandoniSignal2008
  author:
    - family: Prandoni
      given: Paolo
    - family: Vetterli
      given: Martin
  citation-key: PrandoniSignal2008
  collection-title: Communication and information sciences
  event-place: Lausanne
  ISBN: 978-2-940222-20-9
  issued:
    - year: 2008
  language: eng
  number-of-pages: '371'
  publisher: EPFL Press
  publisher-place: Lausanne
  title: Signal processing for communications
  type: book

- id: ProiettiExponential2013
  accessed:
    - year: 2015
      month: 10
      day: 19
  author:
    - family: Proietti
      given: Tommaso
    - family: Luati
      given: Alessandra
  citation-key: ProiettiExponential2013
  event-place: Rochester, NY
  genre: SSRN Scholarly Paper
  issued:
    - year: 2013
      month: 4
      day: 19
  number: ID 2254038
  publisher: Social Science Research Network
  publisher-place: Rochester, NY
  title: >-
    The Exponential Model for the Spectrum of a Time Series: Extensions and
    Applications
  type: report
  URL: http://papers.ssrn.com/abstract=2254038

- id: QianSignal1994
  accessed:
    - year: 2016
      month: 7
      day: 18
  author:
    - family: Qian
      given: Shie
    - family: Chen
      given: Dapang
  citation-key: QianSignal1994
  container-title: Signal Processing
  container-title-short: Signal Processing
  DOI: 10.1016/0165-1684(94)90174-0
  ISSN: 0165-1684
  issue: '1'
  issued:
    - year: 1994
      month: 3
      day: 1
  page: 1-11
  title: Signal representation using adaptive normalized Gaussian functions
  type: article-journal
  volume: '36'

- id: RagazziniAnalysis1952
  author:
    - family: Ragazzini
      given: J. R.
    - family: Zadeh
      given: L. A.
  citation-key: RagazziniAnalysis1952
  container-title: >-
    Transactions of the American Institute of Electrical Engineers, Part II:
    Applications and Industry
  DOI: 10.1109/TAI.1952.6371274
  ISSN: 0097-2185
  issue: '5'
  issued:
    - year: 1952
      month: 11
  page: 225-234
  title: The analysis of sampled-data systems
  type: article-journal
  volume: '71'

- id: ScargleStudies1981
  author:
    - family: Scargle
      given: Jeffrey D
  citation-key: ScargleStudies1981
  container-title: The Astrophysical Journal Supplement Series
  issued:
    - year: 1981
  page: 1-71
  title: >-
    Studies in astronomical time series analysis. I-Modeling random processes in
    the time domain
  type: article-journal
  volume: '45'

- id: ShannonCommunication1949
  author:
    - family: Shannon
      given: C. E.
  citation-key: ShannonCommunication1949
  container-title: Proceedings of the IRE
  DOI: 10.1109/JRPROC.1949.232969
  ISSN: 0096-8390
  issue: '1'
  issued:
    - year: 1949
      month: 1
  page: 10-21
  title: Communication in the Presence of Noise
  type: article-journal
  URL: http://nms.csail.mit.edu/spinal/shannonpaper.pdf
  volume: '37'

- id: SmithIntroduction2007
  author:
    - family: Smith
      given: Julius O.
  citation-key: SmithIntroduction2007
  event-place: http://www.w3k.org/books/
  ISBN: 978-0-9745607-1-7
  issued:
    - year: 2007
  publisher: W3K Publishing
  publisher-place: http://www.w3k.org/books/
  title: Introduction to Digital Filters with Audio Applications
  type: book
  URL: https://ccrma.stanford.edu/~jos/filters/filters.html

- id: StoicaSpectral2005
  author:
    - family: Stoica
      given: Petre
    - family: Moses
      given: Randolph L.
  citation-key: StoicaSpectral2005
  edition: 1 edition
  event-place: Upper Saddle River, N.J
  ISBN: 978-0-13-113956-5
  issued:
    - year: 2005
      month: 4
      day: 8
  language: English
  number-of-pages: '452'
  publisher: Prentice Hall
  publisher-place: Upper Saddle River, N.J
  title: Spectral Analysis of Signals
  type: book
  URL: http://user.it.uu.se/~ps/SAS-new.pdf

- id: TherrienDiscrete1992
  author:
    - family: Therrien
      given: Charles W.
  call-number: TK5102.5 .T48 1992
  citation-key: TherrienDiscrete1992
  event-place: Englewood Cliffs, NJ
  ISBN: 978-0-13-852112-7
  issued:
    - year: 1992
  number-of-pages: '727'
  publisher: Prentice Hall
  publisher-place: Englewood Cliffs, NJ
  title: Discrete random signals and statistical signal processing
  type: book

- id: WishnickTimeVarying2014
  accessed:
    - year: 2017
      month: 5
      day: 4
  author:
    - family: Wishnick
      given: Aaron
  citation-key: WishnickTimeVarying2014
  container-title: DAFx
  issued:
    - year: 2014
  page: 69–76
  title: Time-Varying Filters for Musical Applications.
  type: paper-conference
  URL: >-
    http://www.dafx14.fau.de/papers/dafx14_aaron_wishnick_time_varying_filters_for_.pdf
...
